// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Vector.H"
#include "GrowableVector.H"
#include "Owner.H"
#undef DEFINE_TEMPLATES

#include <stddef.h>
#include "CodingSystem.H"

#ifdef __DECCXX
#pragma define_template VectorBase<const char *>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<const char *>;
#else
typedef VectorBase<const char *> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<const char *>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<const char *>;
#else
typedef GrowableVector<const char *> Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<Encoder>
#else
#ifdef ANSI_CLASS_INST
template class Owner<Encoder>;
#else
typedef Owner<Encoder> Dummy_2;
#endif
#endif

#endif /* MANUAL_INST */
