// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Vector.H"
#include "PointerTable.H"
#include "OwnerTable.H"
#include "GrowableVectorD.H"
#include "setAll.H"
#include "IQueue.H"
#include "Owner.H"
#undef DEFINE_TEMPLATES

#include "StringSet.H"
#include "RastEventHandler.H"

#ifdef __DECCXX
#pragma define_template PointerTable<CString *, CString, Hash, StringSetKey>
#else
#ifdef ANSI_CLASS_INST
template class PointerTable<CString *, CString, Hash, StringSetKey>;
#else
typedef PointerTable<CString *, CString, Hash, StringSetKey> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template OwnerTable<CString, CString, Hash, StringSetKey>
#else
#ifdef ANSI_CLASS_INST
template class OwnerTable<CString, CString, Hash, StringSetKey>;
#else
typedef OwnerTable<CString, CString, Hash, StringSetKey> Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Vector<CString *>
#else
#ifdef ANSI_CLASS_INST
template class Vector<CString *>;
#else
typedef Vector<CString *> Dummy_2;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<SimpleLinkEvent>
#else
#ifdef ANSI_CLASS_INST
template class Owner<SimpleLinkEvent>;
#else
typedef Owner<SimpleLinkEvent> Dummy_3;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<Owner<SimpleLinkEvent> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<Owner<SimpleLinkEvent> >;
#else
typedef VectorBase<Owner<SimpleLinkEvent> > Dummy_4;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Owner<SimpleLinkEvent> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Owner<SimpleLinkEvent> >;
#else
typedef GrowableVectorD<Owner<SimpleLinkEvent> > Dummy_5;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IQueue<LinkRulePi>
#else
#ifdef ANSI_CLASS_INST
template class IQueue<LinkRulePi>;
#else
typedef IQueue<LinkRulePi> Dummy_6;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<Vector<size_t> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<Vector<size_t> >;
#else
typedef VectorBase<Vector<size_t> > Dummy_7;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Vector<size_t> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Vector<size_t> >;
#else
typedef GrowableVectorD<Vector<size_t> > Dummy_8;
#endif
#endif

#ifdef __GNUG__
template void setAll(String<Char> **, size_t, String<Char> *);
#else
static
void  func_0 (String<Char> ** arg1, size_t arg2, String<Char> * arg3) {
(void)setAll(arg1, arg2, arg3);
}
#endif

#endif /* MANUAL_INST */
