// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Vector.H"
#include "PointerTable.H"
#include "OwnerTable.H"
#include "GrowableVectorD.H"
#include "setAll.H"
#include "IQueue.H"
#include "Owner.H"
#undef DEFINE_TEMPLATES

#include "StringSet.H"
#include "RastEventHandler.H"

__instantiate(`PointerTable<CString *, CString, Hash, StringSetKey>')
__instantiate(`OwnerTable<CString, CString, Hash, StringSetKey>')
__instantiate(Vector<CString *>)
__instantiate(Owner<SimpleLinkEvent>)
__instantiate(VectorBase<Owner<SimpleLinkEvent> >)
__instantiate(GrowableVectorD<Owner<SimpleLinkEvent> >)
__instantiate(IQueue<LinkRulePi>)
__instantiate(VectorBase<Vector<size_t> >)
__instantiate(GrowableVectorD<Vector<size_t> >)

__instantiate_func3(setAll, String<Char> **, size_t, String<Char> *) 

#endif /* MANUAL_INST */
