// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "GrowableVector.H"
#include "CopyGrowableVectorD.H"
#include "StringOf.H"
#undef DEFINE_TEMPLATES

#include "types.H"

#ifdef __DECCXX
#pragma define_template GrowableVector<unsigned>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<unsigned>;
#else
typedef GrowableVector<unsigned> Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<String<Char> >;
#else
typedef GrowableVectorD<String<Char> > Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template CopyGrowableVectorD<String<Char> >
#else
#ifdef ANSI_CLASS_INST
template class CopyGrowableVectorD<String<Char> >;
#else
typedef CopyGrowableVectorD<String<Char> > Dummy_2;
#endif
#endif

#endif /* MANUAL_INST */
