// Copyright (c) 1994, 1995 James Clark
// See the file COPYING for copying permission.

#ifndef SOEntityCatalog_INCLUDED
#define SOEntityCatalog_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "EntityCatalog.H"
#include "ExtendEntityManager.H"
#include "Resource.H"
#include "CharsetInfo.H"

class SOEntityCatalog : public EntityCatalog {
public:
  virtual Boolean document(const CharsetInfo &,
			   Messenger &,
			   CString &) const = 0;
  static SOEntityCatalog *make(const CString *sysids,
			       size_t nSysids,
			       size_t nSysidsMustExist,
			       const CharsetInfo &sysidCharset,
			       const CharsetInfo &catalogCharset,
			       ConstResourcePointer<ExtendEntityManager> em,
			       Messenger &);
};

#endif /* not SOEntityCatalog_INCLUDED */
