// Copyright (c) 1994, 1995 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "StringOf.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "GrowableVectorD.H"
#include "CopyGrowableVectorD.H"
#include "ListIter.H"
#include "IList.H"
#include "List.H"
#include "DOwner.H"
#include "HashTable.H"
#include "ResourcePointer.H"
#undef DEFINE_TEMPLATES

#include "StorageManager.H"
#include "ExtendEntityManager.H"
#include "OffsetOrderedList.H"
#include "CodingSystem.H"
#include "types.H"
#include "StringOf.H"
#include "DescriptorManager.H"
#include "StorageManager.H"
#include "Boolean.H"
#include "RegisteredCodingSystem.H"
#include "StorageObjectPosition.H"
#include "CatalogEntry.H"

__instantiate(String<char>)
__instantiate(Vector<DOwner<StorageObject> >)
__instantiate(GrowableVectorD<StorageObjectSpec>)
__instantiate(CopyGrowableVectorD<StorageObjectSpec>)
__instantiate(GrowableVectorD<DOwner<OffsetOrderedListBlock> >)
__instantiate(Vector<StorageObjectPosition>)
__instantiate(IList<ListItem<DescriptorUser*> >)
__instantiate(List<DescriptorUser*>)
__instantiate(ListIter<DescriptorUser *>)
__instantiate(ListItem<DescriptorUser*>)
__instantiate(IListIter<ListItem<DescriptorUser*> >)
__instantiate(DOwner<StorageObject>)
__instantiate(DOwner<Decoder>)
__instantiate(DOwner<OffsetOrderedListBlock>)
__instantiate(GrowableVector<StorageManager *>)
__instantiate(GrowableVector<PackedBoolean>)
__instantiate(GrowableVector<RegisteredCodingSystem>)
__instantiate(`HashTable<String<Char>,CatalogEntry>')
__instantiate(`HashTableIter<String<Char>,CatalogEntry>')
__instantiate(`HashTableItem<String<Char>,CatalogEntry>')
__instantiate(HashTableItemBase<String<Char> >)
__instantiate(`OwnerTable<HashTableItemBase<String<Char> >,String<Char>,Hash,HashTableKeyFunction<String<Char> > >')
__instantiate(`OwnerTableIter<HashTableItemBase<String<Char> >, String<Char>, Hash, HashTableKeyFunction<String<Char> > >')
__instantiate(`PointerTable<HashTableItemBase<String<Char> >*,String<Char>,Hash,HashTableKeyFunction<String<Char> > >')
__instantiate(`PointerTableIter<HashTableItemBase<String<Char> > *, String<Char>, Hash, HashTableKeyFunction<String<Char> > >')
__instantiate(Vector<HashTableItemBase<String<Char> >*>)
__instantiate_func3(setAll, HashTableItemBase<String<Char> > **, size_t, HashTableItemBase<String<Char> > *) 
__instantiate(ConstResourcePointer<ExtendEntityManager>)
#endif /* MANUAL_INST */
