// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifdef __GNUG__
#pragma implementation
#endif
#include "config.h"
#include "EntityCatalog.H"
#include "EntityDecl.H"

EntityCatalog::~EntityCatalog()
{
}


Boolean EntityCatalog::sgmlDecl(const CharsetInfo &,
				Messenger &,
				CString &) const
{
  return 0;
}

Boolean EntityCatalog::lookup(const EntityDecl &decl,
			      const Syntax &,
			      const CharsetInfo &,
			      Messenger &,
			      CString &str) const
{
  const CString *p = decl.systemIdPointer();
  if (!p)
    return 0;
  str = *p;
  return 1;
}

Boolean EntityCatalog::lookupPublic(const CString &,
				    const CharsetInfo &,
				    Messenger &,
				    CString &) const
{
  return 0;
}
