// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef EntityManager_INCLUDED
#define EntityManager_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "types.H"
#include "CString.H"
#include "Resource.H"

class Messenger;
class InputSourceOrigin;
class CharsetInfo;
class InputSource;

class EntityManager : public Resource {
public:
  virtual ~EntityManager();
  virtual InputSource *open(const CString &sysid,
			    const CharsetInfo &,
			    InputSourceOrigin *,
			    Boolean mayRewind,
			    Messenger &) const = 0;
};

#endif /* not EntityManager_INCLUDED */
