// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "RangeMap.H"
#include "ResourcePointer.H"
#include "StringOf.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "ISet.H"
#include "ISetIter.H"
#include "XcharMap.H"
#include "SubstTable.H"
#include "StringResource.H"
#undef DEFINE_TEMPLATES

#include "types.H"
#include "Location.H"
#include "Message.H"
#include "NamedResource.H"

__instantiate(ConstResourcePointer<InputSourceOrigin>)
__instantiate(ConstResourcePointer<Origin>)
__instantiate(Owner<MessageArg>)
__instantiate(String<Char>)
__instantiate(Vector<OpenElementInfo>)
__instantiate(Vector<Owner<MessageArg> >)
__instantiate(ResourcePointer<SharedXcharMap<unsigned char> >)
__instantiate(ConstResourcePointer<SharedXcharMap<unsigned char> >)
__instantiate(SharedXcharMap<unsigned char>)
__instantiate(XcharMap<unsigned char>)
__instantiate(`GrowableVector<RangeMapRange<WideChar,UnivChar> >')
__instantiate(`RangeMapIter<WideChar,UnivChar>')
__instantiate(`RangeMap<WideChar,UnivChar>')
__instantiate(GrowableVector<InputSourceOriginNamedCharRef>)
__instantiate(VectorBase<String<Char> >)
__instantiate(Vector<String<Char> >)
__instantiate(Vector<String<EquivCode> >)
__instantiate(Owner<ExternalInfo>)
__instantiate(ISet<Char>)
__instantiate(VectorBase<ISetRange<Char> >)
__instantiate(GrowableVector<ISetRange<Char> >)
__instantiate(ISet<WideChar>)
__instantiate(ISetIter<Char>)
__instantiate(ISetIter<WideChar>)
__instantiate(VectorBase<ISetRange<WideChar> >)
__instantiate(GrowableVector<ISetRange<WideChar> >)
__instantiate(SubstTable<Char>)
__instantiate(ResourcePointer<SharedXcharMap<PackedBoolean> >)
__instantiate(ConstResourcePointer<SharedXcharMap<PackedBoolean> >)
__instantiate(ResourcePointer<SharedXcharMap<EquivCode> >)
__instantiate(ConstResourcePointer<SharedXcharMap<EquivCode> >)
__instantiate(ConstResourcePointer<StringResource<Char> >)
__instantiate(SharedXcharMap<PackedBoolean>)
__instantiate(SharedXcharMap<unsigned char>)
__instantiate(SharedXcharMap<EquivCode>)
__instantiate(String<EquivCode>)
__instantiate(String<SyntaxChar>)
__instantiate(XcharMap<PackedBoolean>)
__instantiate(XcharMap<unsigned char>)
__instantiate(XcharMap<EquivCode>)
__instantiate(VectorBase<char>)
__instantiate(Vector<char>)
__instantiate(VectorBase<PackedBoolean>)
__instantiate(Vector<PackedBoolean>)
__instantiate(SubstTable<Char>)
__instantiate(ConstResourcePointer<NamedResource>)
__instantiate(ResourcePointer<NamedResource>)

#endif /* MANUAL_INST */
