// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef CharsetRegistry_INCLUDED
#define CharsetRegistry_INCLUDED 1
#ifdef __GNUG__
#pragma interface
#endif

#include "Boolean.H"
#include "types.H"
#include "CString.H"

class PublicId;
class CharsetInfo;
class UnivCharsetDesc;

class CharsetRegistry {
public:
  static Boolean findCharset(const PublicId &, const CharsetInfo &,
			     UnivCharsetDesc &);
};

#endif /* not CharsetRegistry_INCLUDED */
