// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifdef __GNUG__
#pragma implementation
#endif

#include "ShortReferenceMap.H"

ShortReferenceMap::ShortReferenceMap()
: Named(CString()), used_(0)
{
}

ShortReferenceMap::ShortReferenceMap(const CString &name)
: Named(name)
{
}

void ShortReferenceMap::setNameMap(GrowableVectorD<CString> &map)
{
  map.moveTo(nameMap_);
  // Make sure we know it's defined.
  if (nameMap_.length() == 0)
    nameMap_.grow();
}
