// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef ISO8859InputCodingSystem_INCLUDED
#define ISO8859InputCodingSystem_INCLUDED 1

#include "TranslateInputCodingSystem.H"

class ISO8859InputCodingSystem : public TranslateInputCodingSystem {
public:
  // part must be between 2 and 9
  ISO8859InputCodingSystem(int part);
private:
  const Char *partMap(int);
  static const Char maps[8][256];
};

#endif /* not ISO8859InputCodingSystem_INCLUDED */
